Skip to main content

Get Package Available

API Reference
GET/api/v1/experience/agent/packageAvailable

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Query Parameters​

packageId
required
string
Package ID
productId
required
string
Product ID
startDate
optional
string
start date.
Defualt : Today.
The start date can be a maximum of 90 days from today and must be within the range defined by availableStart and availableEnd in the Package List API.
endDate
optional
string
end date.
note : maxinum different startDate and endDate with 30 day

Response Schema​

ref
required
string
Reference transaction
status
required
boolean
Status
statusCode
required
string
Status code
message
required
string
Error message
data
required
object
Data response object
productId
required
string
Product Id
productName
required
string
Product name
packageId
required
string
package Id
packageName
required
string
package name
packageType
required
string
package type
Example: fixdate,opendate
options
required
array object
package options
name
required
object
option name
en
required
string
name in english
th
required
string
name in thai
ticketType
required
string
ticket type
Example: ADULT, CHILD
calendar
required
array object
calendar
date
required
string
priceTiers
required
array object
price tiers
price
optional
number
price
available
optional
number
avaliable
currency
optional
string
currency
timeslot
required
array object
session timeslot ,
if package have session time
Example: 10:00 ,13:00
id
required
string
timeslot id
name
required
string
timeslot name
priceTiers
required
array object
timeslot price tier
price
required
number
price
available
required
number
avaliable
currency
required
string
currency